View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0011302CMakeModulespublic2010-10-08 03:232011-10-03 09:54
ReporterMichael Wild 
Assigned ToDavid Cole 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionCMake-2-8 
Target VersionCMake 2.8.5Fixed in VersionCMake 2.8.5 
Summary0011302: Provide a ProcessorCount.cmake module to determine the number of physical cores
DescriptionFollowing up on David Cole's blog post ( http://www.kitware.com/blog/home/post/63 [^] ) I turned the code into a CMake module and attached it as a patch against master.
TagsNo tags attached.
Attached Filespatch file icon 0001-ENH-Added-module-ProcessorCount.cmake.patch [^] (2,575 bytes) 2010-10-08 03:23 [Show Content]
? file icon 0001-ENH-Added-module-ProcessorCount.cmake.patch-v2 [^] (2,839 bytes) 2010-10-10 04:24

- Relationships Relation Graph ] Dependency Graph ]
related to 0011329closedDavid Cole No system information on QNX 
related to 0010037closedKitware Robot SystemInformation.cxx is missing implementations for many functions on Win64 builds 

-  Notes
(0022464)
Michael Wild (reporter)
2010-10-10 04:25

Updated patch with hint by Ed Hein on using "getconf" on Linux.
(0022869)
David Cole (manager)
2010-11-04 18:49

Mind if I change this to a function? (So people can use whatever variable name they want instead of PROCESSOR_COUNT?)
(0022890)
Michael Wild (reporter)
2010-11-05 01:34

Please, go ahead.
(0022894)
David Cole (manager)
2010-11-05 09:12
edited on: 2010-11-05 10:57

(Slightly?) modified patch applied and pushed to 'next':
http://cmake.org/gitweb?p=cmake.git;a=commitdiff;h=b12df8e1048065fb26c850d4ee7d37501886260f [^]

Along with the following commit, to fix the failing CMake.ModuleNotices test:
http://cmake.org/gitweb?p=cmake.git;a=commitdiff;h=6332687e490b48cb4153b0a87a62c34f5cf673a5 [^]

(0023824)
David Cole (manager)
2010-12-08 16:19

Might this one be of use here ? http://www.open-mpi.org/projects/hwloc [^]
(0024805)
David Cole (manager)
2011-01-17 15:44

Grrrrrr.... not enough time left to work through the remaining issues on this. Deferred to CMake 2.8.5 at this point. Unset target version field for now.
(0025724)
David Cole (manager)
2011-03-09 18:18
edited on: 2011-03-09 18:19

Further progress on this topic today. Commits pushed to CMake 'next' :

http://cmake.org/gitweb?p=cmake.git;a=commitdiff;h=39a254f6ddbb0f6bbcd00d8fb53738146773bf50 [^]

http://cmake.org/gitweb?p=cmake.git;a=commitdiff;h=5dfb6f708fff25e7e38d95d964c9c2c7a20b9135 [^]

Test should pass everywhere CMake dashboards run tomorrow. If not, more commits tomorrow... -- support added for AIX, cygwin, FreeBSD, HPUX, IRIX, OpenBSD and Sun. Via all kinds of external tools and our friend, execute_process.

(0026586)
David Cole (manager)
2011-05-25 16:47

This is resolved. Several related commits involved in the fix... All appear in the CMake 2.8.5-rc1 release candidate.
(0027506)
David Cole (manager)
2011-10-03 09:54

Closing resolved issues that have not been updated in more than 4 months.

- Issue History
Date Modified Username Field Change
2010-10-08 03:23 Michael Wild New Issue
2010-10-08 03:23 Michael Wild File Added: 0001-ENH-Added-module-ProcessorCount.cmake.patch
2010-10-10 04:24 Michael Wild File Added: 0001-ENH-Added-module-ProcessorCount.cmake.patch-v2
2010-10-10 04:25 Michael Wild Note Added: 0022464
2010-11-04 16:42 David Cole Status new => assigned
2010-11-04 16:42 David Cole Assigned To => David Cole
2010-11-04 16:43 David Cole Target Version => CMake 2.8.4
2010-11-04 18:49 David Cole Note Added: 0022869
2010-11-05 01:34 Michael Wild Note Added: 0022890
2010-11-05 09:09 David Cole Description Updated
2010-11-05 09:12 David Cole Note Added: 0022894
2010-11-05 10:57 David Cole Note Edited: 0022894
2010-12-08 16:18 David Cole Relationship added related to 0011329
2010-12-08 16:19 David Cole Note Added: 0023824
2010-12-15 07:38 David Cole Relationship added related to 0010037
2011-01-17 15:44 David Cole Note Added: 0024805
2011-01-17 15:44 David Cole Target Version CMake 2.8.4 =>
2011-02-16 11:40 David Cole Target Version => CMake 2.8.5
2011-03-09 18:18 David Cole Note Added: 0025724
2011-03-09 18:19 David Cole Note Edited: 0025724 View Revisions
2011-05-25 16:47 David Cole Note Added: 0026586
2011-05-25 16:47 David Cole Status assigned => resolved
2011-05-25 16:47 David Cole Fixed in Version => CMake 2.8.5
2011-05-25 16:47 David Cole Resolution open => fixed
2011-10-03 09:54 David Cole Note Added: 0027506
2011-10-03 09:54 David Cole Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker